<?
function &reduceExif($exifvalue)
{
  $vals = split("/",$exifvalue);
  if(count($vals) == 2)
  {
	$exposure = round($vals[0]/$vals[1],2);
	if($exposure < 1) $exposure = '1/'.round($vals[1]/$vals[0],0);
  }
  else {
			$exposure = round($vals[0]/$vals[1], 2);
	   }
  return $exposure.'s';
}

function pullout($str)
{
	$str = stripslashes($str);
	$str = UTF8_decode($str);
	return $str;
}

function exif_image($fpath,$tpath,$verbose){
$curr_image = $_SERVER['DOCUMENT_ROOT'].$tpath.$fpath;
$exif_result = read_exif_data_raw($curr_image,"0");

 if( isset( $exif_result ) ) 
 {
	$spacer = "<span style=\"font:7pt Arial;\"> | </span>";

	if($exif_result['IFD0']['Make'])				$ImgInfo  = trim($exif_result['IFD0']['Make']).$spacer;
	if($exif_result['IFD0']['Model'])				$ImgInfo .= trim($exif_result['IFD0']['Model']);
	if($exif_result['SubIFD']['ExposureProgram'])	$ImgInfo .= $spacer.trim($exif_result['SubIFD']['ExposureProgram']);
	if($exif_result['SubIFD']['MeteringMode'])		$ImgInfo .= $spacer.trim($exif_result['SubIFD']['MeteringMode']);
	if($exif_result['SubIFD']['WhiteBalance'])		$ImgInfo .= $spacer.trim($exif_result['SubIFD']['WhiteBalance'])." WB";
	if($exif_result['SubIFD']['ExposureTime'])		$ImgInfo .= $spacer.trim(reduceExif($exif_result['SubIFD']['ExposureTime']));
	if($exif_result['SubIFD']['FNumber'])			$ImgInfo .= $spacer.trim(strtoupper($exif_result['SubIFD']['FNumber']));
	if($exif_result['SubIFD']['ExposureBiasValue'])	$ImgInfo .= $spacer.round($exif_result['SubIFD']['ExposureBiasValue'],2).'Ev';
	if($exif_result['SubIFD']['Orientation'])		$ImgInfo .= $spacer.$exif_result['SubIFD']['Orientation'];
	if($exif_result['SubIFD']['MaxAperatureValue'])	$ImgInfo .= $spacer.$exif_result['SubIFD']['MaxAperatureValue'];
	if($exif_result['SubIFD']['BrightnessValue'])	$ImgInfo .= $spacer.$exif_result['SubIFD']['BrightnessValue'];
	if($exif_result['SubIFD']['ISOSpeedRatings'])	$ImgInfo .= $spacer.'ISO-'.pullout($exif_result['SubIFD']['ISOSpeedRatings']);
	if($exif_result['SubIFD']['FocalLength'])		$ImgInfo .= $spacer.str_replace(" ","",$exif_result['SubIFD']['FocalLength']);
	if($exif_result['SubIFD']['unknown:a405'])		$ImgInfo .= $spacer.'35mm equiv '.$exif_result['SubIFD']['unknown:a405'].'mm';
	if($exif_result['SubIFD']['Flash'])				$ImgInfo .= $spacer.$exif_result['SubIFD']['Flash'];
	if($exif_result['SubIFD']['Flash'])				$ImgInfo .= $spacer.$exif_result['SubIFD']['DateTimeOriginal'];

	if(!$ImgInfo) return;
	$exif_str = "<div style=\"padding:3px 0px 0px 0px;font:7pt tahoma;\">{$ImgInfo}</div>";
 }
	return $exif_str;
}
?>